Page MenuHomePhabricator

Carry out the 2018 fawiki elections on votewiki
Closed, ResolvedPublic

Description

The annual elections for fawiki's Supervisory Council (akin to the Arbitration Committee) is coming up. As usual, the election will be held via VoteWiki and we will use a preferential voting ballot and the Schulze method for tallying. @Jalexander and team have helped us successfully execute the election in the past few years. To enhance transparency and bookkeeping, starting this year, we will see through the execution of the election exclusively via Phabricator.

Here is a timeline of activities:

  • Oct 20 - Oct 26: Nominations (no action needed here)
  • Oct 27 - Oct 30: Election setup:
    • Importing the list of eligible voters
    • Importing the list of candidates
    • Configuring the election on VoteWiki
    • Change the language of Votewiki to Persian (fa)
  • Oct 31 - Nov 13: Voting period (no action needed)
  • Nov 14 - Nov 16: Tallying the results
    • Change the language of Votewiki back to English (en)
    • @revi and @alanajjar (current Stewards) have agreed to serve as the scrutineers, to run necessary checks to remove socks, etc.
    • Output is presented in two tables (one that shows the candidates ranked by their support, and the other that shows the head-to-head comparison matrix of votes)

Related Objects

Event Timeline

Huji created this task.Oct 20 2018, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2018, 5:41 PM
Huji updated the task description. (Show Details)Oct 20 2018, 5:52 PM
Huji added a subscriber: Sunfyre.Oct 20 2018, 5:54 PM

Importing the list of eligible voters can be done right now. Sunfyre has run the query and I am attaching a clean version of the output.

Please create the election, and give me temporary admin rights to the election so I can translate it to Persian. I can also import the list myself (but if James or someone else imports it is equally good).

4nn1l2 added subscribers: jrbs, revi.Oct 20 2018, 7:03 PM

I have already contacted @jrbs asking him to create an account for @revi on votewiki as the scrutineer of the elections and to unblock my own account there. I will serve as the coordinator and I need to double check everything myself. Last year, when I was partially absent, vote page was in a mess (at least in the first day of voting period).

Huji updated the task description. (Show Details)Oct 20 2018, 8:34 PM

Sounds good.

Trijnstel added a subscriber: alanajjar.

@4nn1l2 @Huji @jrbs I've found another scrutineer for you who wants to help: @alanajjar

Samtar added a subscriber: Samtar.Oct 21 2018, 6:23 PM

Working on unblocking etc. accounts now.

Huji added a comment.Oct 26 2018, 6:42 PM

Please give updates on this thread about how the work is progressing. Note that the intent is to keep all of the communication publicly on this task.

Huji added a comment.Oct 26 2018, 10:31 PM

@jrbs can you please give me (and 4nn1l2) permission to edit the election?

@jrbs The right to edit the election should also be given to the scrutineers. Huji and I will remove ourselves as admins of the election before voting starts, but scrutineers will obviously keep the right.

SecurePoll:689 should be configured just like SecurePoll:663. There are 8 candidates just like the previous year.
And finally please change the language of votewiki to Persian (fa) during the elections. @Jalexander did this for the 2016 elections. This should be done because Persian is written right to left, so keeping the votewiki in English will make many problems.

Huji triaged this task as High priority.Oct 29 2018, 12:27 AM

I know it has been the weekend, but just to make sure this gets priority on Monday, I am setting it at High. Note that we only have Monday and Tuesday to configure this election (as well as change the config of votewiki, temporarily, to set the default language to Persian "fa").

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptOct 29 2018, 12:27 AM

@Huji If there is similar patches for old elections. I can take care of it.

Huji added a comment.Oct 29 2018, 1:42 PM

Sweet; I will submit a patch by the end of the day.

Change 470526 had a related patch set uploaded (by Huji; owner: Huji):
[operations/mediawiki-config@master] Changing the language of votewiki to Persian (fa)

https://gerrit.wikimedia.org/r/470526

jrbs added a comment.Oct 30 2018, 5:31 AM

@jrbs can you please give me (and 4nn1l2) permission to edit the election?

@jrbs The right to edit the election should also be given to the scrutineers. Huji and I will remove ourselves as admins of the election before voting starts, but scrutineers will obviously keep the right.

SecurePoll:689 should be configured just like SecurePoll:663. There are 8 candidates just like the previous year.
And finally please change the language of votewiki to Persian (fa) during the elections. @Jalexander did this for the 2016 elections. This should be done because Persian is written right to left, so keeping the votewiki in English will make many problems.

I've created the election and granted you access to edit it.

I will say that it would be ideal to get more lead time in future for these elections, since we have to move things around to make time for it. :)

I will say that it would be ideal to get more lead time in future for these elections, since we have to move things around to make time for it. :)

We will make sure to have at least one week for configuring the SecurePoll in the future.

I configured SecurePoll:689, added scrutineers to the list of admins, and imported the list of eligible voters as an include-list rather than a need-list. We had imported them as need-lists in previous years (2016 and 2017), and while they did work, include-list seems more sensible to me. Here are the definitions:

  • The Eligibility list [need-list] is a list of voters who are allowed to vote, if they also meet the basic requirements defined above. This list is often populated automatically.
  • The Override list [include-list] is a list of voters who are allowed to vote regardless of the basic requirements or the eligibility list.

Since we have not defined any requirements, and instead have created the list by running a query, include-list seems more logical to me.

@Huji, please check everything independently and critically.

Change 470526 merged by jenkins-bot:
[operations/mediawiki-config@master] Changing the language of votewiki to Persian (fa)

https://gerrit.wikimedia.org/r/470526

Mentioned in SAL (#wikimedia-operations) [2018-10-30T11:59:52Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:470526|Changing the language of votewiki to Persian (fa) (T207560)]] (duration: 00m 48s)

The votewiki is Persian now.

@4nn1l2 can you explain to me (and probably @revi) our turn?

revi added a comment.Oct 30 2018, 12:06 PM

Please note that both of us (Alaa and me) are completely new to SecurePoll stuff! Tho I don't expect this to cause any delay if we're educated.

revi updated the task description. (Show Details)Oct 30 2018, 12:07 PM
alanajjar updated the task description. (Show Details)Oct 30 2018, 12:08 PM

@alanajjar and @revi, we need you to look at the list of voters carefully after voting period ends. As admins of the election, you can see the IP address and user-agent information of voters. You should be vigilant of any suspicious activity, and strike votes if necessary. We, coordinators, may also ask you to strike some votes in exceptional situations (such as votes by blocked users). Then, you should tally the results by visiting https://vote.wikimedia.org/wiki/Special:SecurePoll (last item), give us the results to publish them at Persian Wikipedia, and finally, you should certify the results by signing at the results page (example). There is also a verbose guide page at the English Wikipedia. Thank you very much for your service.

4nn1l2 updated the task description. (Show Details)Oct 30 2018, 1:07 PM
Huji added a comment.Oct 30 2018, 6:25 PM

I will say that it would be ideal to get more lead time in future for these elections, since we have to move things around to make time for it. :)

We will make sure to have at least one week for configuring the SecurePoll in the future.

I configured SecurePoll:689, added scrutineers to the list of admins, and imported the list of eligible voters as an include-list rather than a need-list. We had imported them as need-lists in previous years (2016 and 2017), and while they did work, include-list seems more sensible to me. Here are the definitions:

  • The Eligibility list [need-list] is a list of voters who are allowed to vote, if they also meet the basic requirements defined above. This list is often populated automatically.
  • The Override list [include-list] is a list of voters who are allowed to vote regardless of the basic requirements or the eligibility list. Since we have not defined any requirements, and instead have created the list by running a query, include-list seems more logical to me.

    @Huji, please check everything independently and critically.

Everything checks out. Using the include-list is as good as using the need-list in our case, since we are not using the "Basic Options" part of the form to impose limits. Our list does not include bots, and we will have to manually rule out votes placed while the user is blocked (which would be rare).

Huji added a comment.Oct 30 2018, 6:26 PM

@jrbs At this point, you can remove me from the election admins. You can also remove 4nn1l2.

jrbs added a comment.Oct 30 2018, 10:05 PM

@jrbs At this point, you can remove me from the election admins. You can also remove 4nn1l2.

Removed. Your accounts are still open if you want to make more changes to the votewiki interface.

Huji added a comment.Oct 31 2018, 1:47 PM

At this point, there is no reason for our accounts to be open either; please block them.

I just checked the election and voted myself, and everything looks perfect.

jrbs closed this task as Resolved.Nov 1 2018, 9:00 PM
jrbs claimed this task.

At this point, there is no reason for our accounts to be open either; please block them.

Done.

I just checked the election and voted myself, and everything looks perfect.

Awesome! I'll close this task for now, then.

jrbs reopened this task as Open.Nov 1 2018, 9:01 PM

Oh, uh.

Awesome! I'll close this task for now, then.

Reopening, as it seems this is also being used for the tallying etc as well.

jrbs renamed this task from Set up VoteWiki for the 2018 fawiki elections to Carry out the 2018 fawiki elections on votewiki.Nov 1 2018, 9:01 PM
jrbs updated the task description. (Show Details)
jrbs moved this task from Backlog to Support on the Trust-and-Safety board.Nov 2 2018, 5:35 PM

Change 473148 had a related patch set uploaded (by Huji; owner: Huji):
[operations/mediawiki-config@master] Revert the language of votewiki to English (en)

https://gerrit.wikimedia.org/r/473148

Huji added a comment.Nov 13 2018, 2:34 AM

@revi and @alanajjar the voting period ends in about 21.5 hours from when I am writing this (i.e. exactly at Nov 14, 00:00:00 UTC). At that point you have THREE DAYS to review the votes and look for potential socks. You can see the list of voters on the votewiki, and along with it, you can see their IP address and UA string. If necessary, we can also run additional CU queries for you (I am a local CU), or you can run it yourself (by promoting yourself as a temporary local CU).

In the same 3-day period, @4nn1l2 and I will also look for any other possible violations (some accounts are known legitimate socks, and at least one account was blocked for parts of the voting period, so we will make sure no violation occurred). If we do find a violation, we will let you know here so you can scratch the related vote(s).

@jrbs the above does not have to take three days; if we all do our job on Nov 14th, you can run the tally that day as well. As usual, you have to run the tally via the CLI. I am also aware that ENWP Arb Com elections are coming up very soon (Nov 19th, to be exact). So I have already submitted a patch that would revert the language of votewiki back to English. I am expecting that @Ladsgroup will merge it tomorrow once the election is over.

Huji updated the task description. (Show Details)Nov 13 2018, 2:35 AM
4nn1l2 added a comment.EditedNov 13 2018, 7:54 AM

@Huji As far as I know the election was not encrypted, so scrutineers can also tally the results. Am I right?

Furthermore, @revi and @alanajjar can change the default language of votewiki while logged in through their preferences, so I don't think that changing the language of votewiki back to English is a priority. However, I agree that it should be done as soon as possible because 2018 English ArbCom Elections will be held soon.

Huji added a comment.Nov 13 2018, 3:22 PM

@4nn1l2 there is no way for us to know if the election was encrypted or not (because our election admin access was removed, appropriately, prior to the election being finalized). But I assume that ALL elections are encrypted by Joe or James. Once the election is complete, they can run the tallies for us.

Language change is not a priority; it is just the right thing to do, and there is no reason to delay it :)

@jrbs Please enlighten us whether or not the election was encrypted. I personally think that encryption is NOT a must for fawiki elections.

jrbs added a comment.Nov 13 2018, 5:25 PM

@jrbs Please enlighten us whether or not the election was encrypted. I personally think that encryption is NOT a must for fawiki elections.

This election was not encrypted.

@4nn1l2 there is no way for us to know if the election was encrypted or not (because our election admin access was removed, appropriately, prior to the election being finalized). But I assume that ALL elections are encrypted by Joe or James. Once the election is complete, they can run the tallies for us.

Language change is not a priority; it is just the right thing to do, and there is no reason to delay it :)

I think you can find out by doing a "dump" of the election data (which you don't need rights to do)

Huji added a comment.Nov 14 2018, 12:15 AM

Huh! @Bawolff I think you just revealed a security issue; let me create a non-Public task for it.

Change 473148 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert the language of votewiki to English (en)

https://gerrit.wikimedia.org/r/473148

Mentioned in SAL (#wikimedia-operations) [2018-11-14T12:35:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:473148|Revert the language of votewiki to English (en) (T207560)]] (duration: 00m 55s)

jrbs added a comment.Nov 15 2018, 6:32 PM

Mentioned in SAL (#wikimedia-operations) [2018-11-14T12:35:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:473148|Revert the language of votewiki to English (en) (T207560)]] (duration: 00m 55s)

This is weird. It's pretty plainly still in Persian so not sure what happened with this patch?

This is weird. It's pretty plainly still in Persian so not sure what happened with this patch?

It was fully English when I deployed the change. Something bad happened between the deployment and now. I think l10n caches stuck there but not sure.

jrbs added a comment.EditedNov 15 2018, 6:41 PM

Ah perfect, thanks for having a look :) Seems like it's in English now.

Edit: I realise my original comment could be read as rude, sorry about that. Not intentional :)

jrbs updated the task description. (Show Details)Nov 15 2018, 6:42 PM
Huji added a comment.Nov 15 2018, 6:43 PM
This comment was removed by Huji.
4nn1l2 updated the task description. (Show Details)Nov 16 2018, 6:47 PM
4nn1l2 closed this task as Resolved.Nov 16 2018, 6:51 PM

Results are out: ویکی‌پدیا:انتخابات هیئت نظارت/دور نهم/نتایج

Thank you all for helping to hold the elections.